<body>
<p>
metrics-bot is a bot for microblogging platforms and instant messaging
to provide information about the Tor network. It is used for the
<a href="https://twitter.com/TorAtlas">@TorAtlas</a> twitter account.
</p>
<p><img src="metrics-bot.jpg"></p>
<p>
metrics-bot requires Java 8. It also has dependencies on the following
libraries:
</p>
<ul>
<li><a href="https://hc.apache.org/httpcomponents-client-ga/index.html">HC Fluent</a></li>
<li><a href="https://hc.apache.org/httpcomponents-client-ga/index.html">HttpClient</a></li>
<li><a href="https://hc.apache.org/httpcomponents-core-4.4.x/index.html">HttpCore</a></li>
<li><a href="http://logging.apache.org/log4j/1.2/">log4j</a></li>
<li><a href="http://commons.apache.org/proper/commons-configuration/">Commons Configuration</a></li>
<li><a href="https://commons.apache.org/proper/commons-logging/">Commons Logging</a></li>
<li><a href="http://twitter4j.org/">twitter4j</a></li>
<li><a href="https://github.com/sys1yagi/mastodon4j">mastodon4j</a></li>
</ul>
<p>
To install these dependencies on Debian:
</p>
<pre>apt install libhttpclient-java libjson-simple-java libcommons-configuration-java</pre>
<p>
(Unfortunately, neither twitter4j nor mastodon4j is not yet available in Debian, you will need
to include this manually in your classpath.)
</p>
</body>